Package com.sas.services.information

# Class PartialListResultsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.PartialResultsException
com.sas.services.information.PartialListResultsException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class PartialListResultsException extends PartialResultsException
This Exception gets thrown if an Information Services search is performed which may return multiple objects, and at least one exception is thrown while retrieving metadata. This specific exception class is used if the results set is a flat List. The List may be empty, meaning that there were no results that did not have an error, but it should not be null.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.PartialResultsException

  `_payload`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartialListResultsException()`
  `PartialListResultsException(String message)`
  `PartialListResultsException(List results, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getResults()`

  ### Methods inherited from class com.sas.services.information.PartialResultsException

  `addException, getExceptions, getMessage`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartialListResultsException

    public PartialListResultsException()

  - ### PartialListResultsException

    public PartialListResultsException(String message)
    Parameters:
      `message` -

  - ### PartialListResultsException

    public PartialListResultsException(List results, String message)
    Parameters:
      `results` - A set of results that were returned from the attempted operation. This may be only a subset of the results that were desired.
      `message` - A message that indicates at least one of the reasons the operation didn't complete successfully.

- ## Method Details

  - ### getResults

    public List getResults()